% main_run.m
% 
% Business-cycle analysis on used auto using "data_masterfile.xls"
% 
% data: data_masterfile.xls (collection of aggregate data with source found in
%                      excel sheet)
% 
% functions: shade_recession1.m
% 
% scripts for plot: plot_figure1.m, plot_figure2.m
%
% Hyunseung Oh, May 2017


clear all; close all; clc

%% Import the data file
%------------- User configuration -------------%
fileToRead1 = 'data_masterfile.xlsx'; % excel file read
sheetName   = 'Sheet1';          % excel sheet name read
%----------------------------------------------%
[numbers, strings, raw] = xlsread(fileToRead1, sheetName);
newData1.data =  numbers;
newData1.colheaders = strings(1,:);
% Create new variables in the base workspace from those fields.
for i = 1:size(newData1.colheaders, 2)
    assignin('base', genvarname(newData1.colheaders{i}), newData1.data(:,i));
end



%% Get data
%------------- User configuration -------------%
date    = Date;                 % Annual date (1967-2015)
nber    = NBER;                 % NBER recession indicator
nvus    = NewVehicleUnitSales;  
uvus    = UsedVehicleUnitSales; 
nvds    = NewVehicleDollarSales;
nads    = NewAutoDollarSales; 
ntds    = NewTruckDollarSales; 
uvdm    = UsedVehicleDollarMargin; 
uadm    = UsedAutoDollarMargin; 
utdm    = UsedTruckDollarMargin;
vage    = VehicleAverageAge; 
%----------------------------------------------%


%% Figure 1
%------------- User configuration -------------%
graphname = 'fig1';       % name of graph to save
width     = 8;            % Initialize a variable for width of figure
height    = 5;            % Initialize a variable for height of figure
%----------------------------------------------%

plot_figure1  % figure 1 plot


%% Figure 2

%------------- User configuration -------------%
graphname = 'fig2';       % name of graph
width     = 8;            % Initialize a variable for width of figure
height    = 5;            % Initialize a variable for height of figure
%----------------------------------------------%

plot_figure2   % figure 2 plot


